> ## Documentation Index
> Fetch the complete documentation index at: https://learn.nexudus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 📅Calendar

> Gets a calendar feed with bookings in a given location and resource

## Authentication

<Note>
  This endpoint requires OAuth2 authentication. Include a valid bearer token in the `Authorization` header.
</Note>

## Query Parameters

<ParamField query="marketplace_id" type="string" required>
  The unique id of your marketplace application
</ParamField>

<ParamField query="location_id" type="string" required>
  The unique id of a location
</ParamField>

<ParamField query="resource_id" type="string">
  The unique id of the location to get the calendar for
</ParamField>

<ParamField query="start_local" type="string (date)">
  The earliest date to show bookings for. The date and time are parsed in the local time of the passed in location. Defaults to the current date and time.
</ParamField>

<ParamField query="duration_minutes" type="integer (int32)">
  The amount of minutes after the start\_local time to show data for. Defaults to 60 minutes.
</ParamField>

## Response

```json Example Response theme={null}
[
  {
    "booking": {
      "id": "d9b8982f-1046-4bf7-afec-e7eeb6b80fd3",
      "from_time": "2022-03-18T15:15:00Z",
      "to_time": "2022-03-18T16:15:00Z",
      "from_time_local": "2022-03-18T08:15:00+00:00",
      "to_time_local": "2022-03-18T09:15:00+00:00",
      "customer": {
        "id": "d086e74f-9811-4704-b7a0-f9643b7c888b"
      },
      "resource": {
        "id": "8a0a7377-d8b5-41de-9342-4d531cecc0da",
        "name": "Router Room"
      }
    },
    "type": "bookingconfirmed"
  }
]
```

## Example Request

```bash theme={null}
curl -X GET \
  "https://spaces.nexudus.com/api/apps/marketplaceapplications/calendar" \
  -H "Authorization: Bearer YOUR_TOKEN"
```
